#include "slownik.h"

/* Konstruktor tworzacy slownik na podstawie slow odczytanych ze strumienia wesciowego */
void Dictionary::Read(istream &i)
{
	  while(!i.eof())
	  {
		  string s = getword(i);
		  if(s.size()>0)  this->t.Add(s);
	  }

}

/* Konstruktor tworzacy slownik na podstawie slow odczytanych z pliku tekstowego */
Dictionary::Dictionary(const char *nazwa_pliku)
{
  ifstream myfcount;
  myfcount.open (nazwa_pliku);
  if(myfcount.is_open())
  {
	  Read(myfcount);
      myfcount.close();
  }
  else cout << "Blad - nie moge otworzyc pliku : " << nazwa_pliku << endl;
}


/* Odczyt pojedynczego slowa ze strumienia wejsciowego */
string Dictionary::getword(istream &i)
{
	char c;
	string word;
   
   while(!isalpha(i.peek()) && i.good()) i.get(c);
	
   while(i.get(c) && isalpha(c))  word +=  (char)tolower(c);
  
	return word;
}
